Announcement

Collapse
No announcement yet.

Cant install immunify360

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • asukhoplyuev
    replied
    Greetings.

    Could you please create a ticket about this issue from the page https://cloudlinux.zendesk.com/hc/en-us/requests/new Support team will check this case and help to install Imunify360 on your server.

    Thank you.

    Leave a comment:


  • phpcarry
    replied
    [2021-08-16 23:21:51] ---> Package imunify360-webshield-bundle.x86_64 0:1.18-5.el7 will be installed
    [2021-08-16 23:21:51] --> Processing Dependency: protobuf-c for package: imunify360-webshield-bundle-1.18-5.el7.x86_64
    [2021-08-16 23:21:51] --> Processing Dependency: /usr/bin/nc for package: imunify360-firewall-5.9.3-1.x86_64
    [2021-08-16 23:21:51] --> Processing Dependency: /usr/bin/nc for package: imunify360-pam-5.8.0-8.el7.x86_64
    [2021-08-16 23:21:52] --> Finished Dependency Resolution
    [2021-08-16 23:21:52] Error: Package: imunify360-php-i360-5.8.0-1.4.el7.x86_64 (cloudlinux-imunify360)
    [2021-08-16 23:21:52] Requires: libatomic.so.1()(64bit)
    [2021-08-16 23:21:52] Error: Package: imunify360-webshield-bundle-1.18-5.el7.x86_64 (imunify360-testing)
    [2021-08-16 23:21:52] Requires: protobuf-c
    [2021-08-16 23:21:52] Error: Package: imunify360-pam-5.8.0-8.el7.x86_64 (cloudlinux-imunify360)
    [2021-08-16 23:21:52] Requires: /usr/bin/nc
    [2021-08-16 23:21:52] Error: Package: imunify360-php-i360-5.8.0-1.4.el7.x86_64 (cloudlinux-imunify360)
    [2021-08-16 23:21:52] Requires: protobuf-c
    [2021-08-16 23:21:52] Error: Package: imunify360-php-i360-5.8.0-1.4.el7.x86_64 (cloudlinux-imunify360)
    [2021-08-16 23:21:52] Requires: libprotobuf-c.so.1(LIBPROTOBUF_C_1.0.0)(64bit)
    [2021-08-16 23:21:52] Error: Package: imunify360-firewall-5.9.3-1.x86_64 (imunify360-testing)
    [2021-08-16 23:21:52] Requires: /usr/bin/nc
    [2021-08-16 23:21:52] Error: Package: imunify360-php-i360-5.8.0-1.4.el7.x86_64 (cloudlinux-imunify360)
    [2021-08-16 23:21:52] Requires: libprotobuf-c.so.1()(64bit)
    [2021-08-16 23:21:52] Error: Package: imunify360-modsec-sdbm-util-1.0-11.el7.x86_64 (cloudlinux-imunify360)
    [2021-08-16 23:21:52] Requires: apr-util
    [2021-08-16 23:21:52] Error: Package: imunify360-php-i360-5.8.0-1.4.el7.x86_64 (cloudlinux-imunify360)
    [2021-08-16 23:21:52] Requires: libatomic
    [2021-08-16 23:21:52] You could try using --skip-broken to work around the problem
    [2021-08-16 23:21:57] ** Found 1 pre-existing rpmdb problem(s), yum check output follows:
    [2021-08-16 23:21:57] 1:ea-tomcat85-8.5.60-1.el7.cloudlinux.x86_64 has missing requires of mysql-connector-java
    [2021-08-16 23:21:57] Package imunify360-firewall was not installed.

    Leave a comment:


  • skhristich
    replied
    Happy to hear it and thanks for following up!

    Leave a comment:


  • kamo2k
    replied
    Thank You - that worked great

    Leave a comment:


  • skhristich
    replied
    Hello Kamil,
    Support for CentOS 8 starts with version 4.9 and is now in beta. You need to run the installation with the beta option.
    Use the command below:

    Code:
    bash i360deploy.sh --key YOUR_KEY --beta
    If you have any other questions, feel free to ask here. Thank you for contacting us.

    Leave a comment:


  • dinesh.solaiappan
    started a topic Cant install immunify360

    Cant install immunify360

    Im trying to install immunify on a fresh system - cloudlinux8 + DA. Im getting this output:

    Code:
    # ./i360deploy.sh
    
    Detecting ostype... centos
    
    Checking for an update to i360deploy.sh
    
    Downloading i360deploy.sh.repo_version (please wait)
    
    i360deploy.sh is already the latest version (2.19) - continuing
    
    In a few moments the script will install latest imunify360-firewall package (w/dependencies)... (Ctrl-C to cancel)
    
    Updating Subscription Management repositories.
    
    Unable to read consumer identity
    
    This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
    
    No repository match: imunify360-ea-php-hardened
    
    No repository match: imunify360-alt-php
    
    CloudLinux-8 - Gradual Rollout Slot 1           0.0  B/s |   0  B     00:00
    
    Failed to download metadata for repo cloudlinux-rollout-1
    
    CloudLinux-8 - Gradual Rollout Slot 2           0.0  B/s |   0  B     00:00
    
    Failed to download metadata for repo cloudlinux-rollout-2
    
    CloudLinux-8 - Gradual Rollout Slot 3           0.0  B/s |   0  B     00:00
    
    Failed to download metadata for repo cloudlinux-rollout-3
    
    CloudLinux-8 - Gradual Rollout Slot 4           0.0  B/s |   0  B     00:00
    
    Failed to download metadata for repo cloudlinux-rollout-4
    
    CloudLinux-8 - Gradual Rollout Slot 5           0.0  B/s |   0  B     00:00
    
    Failed to download metadata for repo cloudlinux-rollout-5
    
    CloudLinux-8 - Gradual Rollout Slot 6           0.0  B/s |   0  B     00:00
    
    Failed to download metadata for repo cloudlinux-rollout-6
    
    EL-8 - Imunify360                               4.2 kB/s | 2.6 kB     00:00
    
    Ignoring repositories: cloudlinux-rollout-1, cloudlinux-rollout-2, cloudlinux-rollout-3, cloudlinux-rollout-4, cloudlinux-rollout-5, cloudlinux-rollout-6
    
    No match for argument: imunify360-firewall
    
    Error: Unable to find a match: imunify360-firewall
    
    Package imunify360-firewall was not installed.
    Registering to red hat subscription manager fails every time so i cant bypass that. What can i do?
Working...
X